## libtrace-4.0.26.tar.gz

=== test/Makefile ===

RM=rm
PREFIX=../
DPDK_BUILD=

INCLUDE = -I$(PREFIX)/lib -I$(PREFIX)/libpacketdump
CFLAGS = -Wall -Wimplicit -Wformat -W -pedantic -pipe -g -O2 -std=gnu99 -pthread \
		-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE \
		-Wno-deprecated-declarations
CFLAGS += $(INCLUDE)
libdir = $(PREFIX)/lib/.libs:$(PREFIX)/libpacketdump/.libs
LDLIBS = -L$(PREFIX)/lib/.libs -L$(PREFIX)/libpacketdump/.libs -ltrace -lpacketdump

BINS_DATASTRUCT = test-datastruct-vector test-datastruct-deque \
	test-datastruct-ringbuffer
BINS_PARALLEL = test-format-parallel test-format-parallel-hasher \
	test-format-parallel-singlethreaded test-format-parallel-stressthreads \
	test-format-parallel-singlethreaded-hasher test-format-parallel-reporter \
	test-tracetime-parallel test-nic test-hotplug

BINS = test-pcap-bpf test-event test-time test-dir test-wireless test-errors \
	test-plen test-autodetect test-ports test-fragment test-live \
	test-live-snaplen test-vxlan test-setcaplen test-wlen test-vlan \
	test-mpls test-layer2-headers test-qinq test-structures \
	$(BINS_DATASTRUCT) $(BINS_PARALLEL) test-live-dag test-etsi

.PHONY: all clean distclean install depend test address-san

all: $(BINS) test-drops test-format test-decode test-decode2 test-write test-convert test-convert2

clean:
	$(RM) $(BINS) $(OBJS) test-format test-decode test-convert \
	test-decode2 test-write test-drops test-convert2

distclean:
	$(RM) $(BINS) $(OBJS) test-format test-decode test-convert test-drops test-convert2

install:
	@true

address-san: CFLAGS+= -fsanitize=undefined,leak,address -fno-omit-frame-pointer -ggdb3
address-san: all

thread-san: CFLAGS+= -fsanitize=thread -fno-omit-frame-pointer -ggdb3
thread-san: all

dpdk: LDLIBS+= -L$(DPDK_BUILD)/libs
dpdk: INCLUDE+= -I$(DPDK_BUILD)/include
dpdk: all

# vim: noet ts=8 sw=8

=== debian/changelog ===
libtrace4 (4.0.26-1) unstable; urgency=medium

  * pcapfile: fix loss of nanosecond timestamp resolution when
    writing to a pcapfile output.
  * ndag: fix very minor memory leak.

 -- Shane Alcock <shane@alcock.co.nz>  Wed, 20 Jun 2024 09:06:48 +1200

libtrace4 (4.0.25-1) unstable; urgency=medium

  * ndag: fix issue where the most recently received packets may not
    be delivered to libtrace if the multicast source stops sending.

 -- Shane Alcock <shane@alcock.co.nz>  Thu, 9 May 2024 10:16:36 +1200

libtrace4 (4.0.24-1) unstable; urgency=medium

  * ndagtcp: fix miscalculation of ERF header length that would
    prevent packets from being able to be decoded correctly.
  * traceucast: do not exit if the client disconnects, instead try to
    reconnect and resume unicasting.
  * traceucast: fix memory errors when attempting to send a captured
    packet that is larger than 10K bytes.
  * ndagtcp: fix issue that would cause input to silently stop reading
    if it received a packet larger than 10K bytes.
  * ndagtcp: fix lock-up that occurred when trying to halt a program
    that was reading from an ndagtcp input.
  * ndagtcp: fix erroneous "Malformed beacon" message when an ndagtcp
    input reconnects to traceucast.
  * traceucast: fix getaddrinfo memory leak.
  * traceucast: fix endless reconnection loop bug.
  * traceucast: fix race condition that would prevent Ctrl-C from
    halting traceucast properly.

 -- Shane Alcock <shane@alcock.co.nz>  Wed, 24 Jan 2024 13:43:51 +1300

libtrace4 (4.0.23-1) unstable; urgency=medium

  * Add new tool: traceucast, a TCP unicast variant of tracemcast.
  * Add new input format: ndagtcp, for receiving packets sent by
    traceucast.
  * libpacketdump: fix premature free when decoding IPMM IRIs
    received via an etsilive input.
  * tracemcast: fix bug where the sequence number was not being
    incremented for each sent datagram.
  * object cache data structure: fix potential segfault after
    resizing the cache.
  * pcapfile: fix issue where packets owned by "dead" pcapfile trace
    would have an invalid pcap version.

 -- Shane Alcock <shane@alcock.co.nz>  Fri, 10 Nov 2023 09:40:41 +1300

libtrace4 (4.0.22-1) unstable; urgency=medium

  * Fix segmentation fault when closing an ndag input that had
    set a hasher function and was configured to use multiple
    processing threads.
  * Disable setting a hasher function on ndag inputs, as this
    is not generally a good idea anyway (ndag inputs are already
    hashed by the ndag sender).
  * Fix problem where trace_write_packet() would throw an error on
    ring outputs because a write could not be completed without
    blocking and there was no mechanism for trying the write again
    later.

 -- Shane Alcock <shane@alcock.co.nz>  Wed, 14 Jun 2023 17:48:08 +1200

libtrace4 (4.0.21-1) unstable; urgency=medium

  * Fixed issue where idle per packets threads would use 100% CPU
    constantly.
  * Added new supported file format: etsifile -- to read and write binary
    files containing ASN.1 encoded ETSI LI intercept records.
  * Fix numerous build issues on Mac OS X caused by changes in the BPF
    headers.
  * Fix bug where packets returned by trace_event() for certain live
    formats would not work with subsequent API calls.
  * Fix problems with compiling XDP support on more recent buildchains.

 -- Shane Alcock <shane@alcock.co.nz>  Wed, 10 May 2023 18:28:13 +1200

libtrace4 (4.0.20-1) unstable; urgency=medium

  * Updated XDP module to be able to build against recent libxdp
  * Updated libpacketdump to be able to decode ETSI LI email CCs and IRIs

 -- Shane Alcock <shane@alcock.co.nz>  Mon, 07 Nov 2022 11:09:47 +1300

libtrace4 (4.0.19-1) unstable; urgency=medium

  * Fixed issues with compiling against DPDK 21.11
  * Incorporate build system fixes from Gentoo

 -- Shane Alcock <shane.alcock@waikato.ac.nz>  Mon, 13 Jun 2022 11:17:29 +1200

libtrace4 (4.0.18-1) unstable; urgency=medium

  * Packets received via `etsilive:` can now be converted to pcap format.
  * traceanon no longer encrypts the Framed-IP-Netmask, Acct-Session-Id and
    Acct-Authentic RADIUS AVPs.
  * traceanon now encrypts the NAS-Port-ID and Chargeable-User-Identity AVPs
    using ASCII characters only.
  * Rename internal method pfring_get_link_type to avoid name collision with
    newer pfring releases.
  * Fixed various threading locking bugs reported by Ryan Cai.

 -- Shane Alcock <shane.alcock@waikato.ac.nz>  Thu, 03 Feb 2022 15:30:41 +1300

libtrace4 (4.0.17-1) unstable; urgency=medium

  * Added support for PF_RING zero-copy -- this is now the official libtrace `pfring:` format, and the original non-zero-copy version is now available via `pfringold:`.
  * PF_RING formats now default to promiscuous capture mode, which is consistent with other live formats.
  * Fixed incorrect statistics counters for PF_RING formats.
  * Fixed various libpacketdump crashes or infinite loops when presented with bogus packet content.
  * Fixed bug where `pfringold:` was not setting the `order` field for packets.
  * Fixed bug where writing packets to a virtual interface via `ring:` would cause libtrace to hang.
  * Fixed bug where DPDK port stats could not be reset if using Napatech DPDK.
  * Fixed race condition in the `etsilive:` format.
  * Fixed various memory errors and leaks in the `etsilive:` format.
  * Fixed race condition in `tracertstats` when processing a user interrupt.
  * Improved capture speed for `pfringold:`.
  * `ring:` format now supports `trace_flush_output()` method.

 -- Shane Alcock <shane.alcock@waikato.ac.nz>  Fri, 9 Jul 2021 14:09:06 +1200

libtrace4 (4.0.16-2) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 4.0.0-1.
  * Remove Section on libtrace4, Section on libpacketdump4 that duplicate
    source.


=== debian/control ===
Source: libtrace4
Priority: optional
Maintainer: Shane Alcock <shane@alcock.co.nz>
Build-Depends: debhelper-compat (= 12), dh-autoreconf,
 libpcap-dev, zlib1g-dev, flex, bison, doxygen, liblzma-dev, graphviz,
 libncurses5-dev, libbz2-dev, libssl-dev, libwandio1-dev (>= 4.0.0),
 libwandder2-dev (>= 2.0.6), dpdk-dev, libnuma-dev, libyaml-dev,
 gcc-multilib
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/LibtraceTeam/libtrace

Package: libtrace4-dev
Section: libdevel
Architecture: any
Depends: libtrace4 (= ${binary:Version}), ${misc:Depends}
Provides: libtrace-dev
Conflicts: libtrace-dev, libpacketdump3-dev
Replaces: libtrace-dev
Description: development headers for the libtrace network processing library
 This package contains development headers and other ancillary files for
 the libtrace library.
 .
 libtrace is a library for trace processing. It supports multiple input
 methods, including device capture, raw and gz-compressed trace, and sockets;
 and multiple input formats, including pcap and DAG.
 .
 libtrace was originally developed by the WAND Network Research Group at Waikato
 University in New Zealand.

Package: libtrace4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libtrace4 (= ${binary:Version})
Conflicts: libtrace, libtrace3, libtrace4-dag
Replaces: libtrace3
Description: network trace processing library supporting many input formats
 libtrace is a library for trace processing. It supports multiple input
 methods, including device capture, raw and gz-compressed trace, and sockets;
 and multiple input formats.
 .
 libtrace was originally developed by the WAND Network Research Group at Waikato
 University in New Zealand.

#Package: libtrace4-dag
#Section: libs
#Architecture: any
#Depends: dag-base, ${shlibs:Depends}, ${misc:Depends}
#Provides: libtrace4
#Conflicts: libtrace, libtrace3, libtrace4
#Replaces: libtrace3
#Description: network trace processing library supporting many input formats
# libtrace is a library for trace processing. It supports multiple input
# methods, including device capture, raw and gz-compressed trace, and sockets;
# and multiple input formats. This version of the libtrace4 package includes
# support for Endace DAG hardware.
# .
# libtrace is developed by the WAND Network Research Group at Waikato
# University in New Zealand.

Package: libpacketdump4-dev
Section: libdevel
Architecture: any
Depends: libpacketdump4 (= ${binary:Version}), ${misc:Depends}
Provides: libpacketdump-dev
Conflicts: libpacketdump-dev
Replaces: libpacketdump-dev
Description: development headers for the libpacketdump library
 This package contains development headers and other ancillary files for
 the libpacketdump library.
 .
 libpacketdump provides a library which can parse packets and display the
 packet contents in a nice human-readable form. The output is similar to that
 produced by tcpdump, although the formatting is somewhat more verbose.
 .
 libpacketdump was originally developed by the WAND Network Research Group at
 Waikato University in New Zealand.

Package: libpacketdump4
Architecture: any
Depends: libtrace4 (= ${binary:Version}), ${misc:Depends}
Provides: libpacketdump
Conflicts: libpacketdump, libpacketdump3
Replaces: libpacketdump3
Description: network packet parsing and human-readable display library
 libpacketdump provides a library which can parse packets and display the
 packet contents in a nice human-readable form. The output is similar to that
 produced by tcpdump, although the formatting is somewhat more verbose.
 .
 libpacketdump was originally developed by the WAND Network Research Group at
 Waikato University in New Zealand.

Package: libtrace4-tools
Section: net
Architecture: any
Depends: libtrace4 (= ${binary:Version}), libpacketdump4 (= ${binary:Version}), ${misc:Depends}
Conflicts: libtrace-tools
Replaces: libtrace-tools
Description: helper utilities for use with the libtrace process library
 libtrace is a library for trace processing. These tools perform many common
 tasks that are required when analysing and manipulating network traces.
 .
 Multiple input methods and formats are supported including device capture,
 raw and gz-compressed traces, and sockets.
 .
 libtrace was originally developed by the WAND Network Research Group at
 Waikato University in New Zealand.
